<!DOCTYPE html>
<html>
{% block head %}
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Million Pixel Art{% endblock %}</title>
        <link rel="icon" href="{{ asset('image/favicon-32x32.png') }}">
        <link rel="stylesheet" href="{{ asset('styles/style.css') }}">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Anek+Tamil&display=swap" rel="stylesheet">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
              integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
              crossorigin="anonymous">
        {% block stylesheets %}
        {% endblock %}
    </head>
{% endblock %}
<body>
<header>
    {% include 'menu.html.twig' %}
</header>
    {% for type, messages in app.flashes %}
        {% for message in messages %}
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <div class="alert alert-light">
                            <strong>{{ message }}</strong>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    {% endfor %}

    {% block body %}
        <div class="position-relative overflow-hidden p-3 p-md-5 m-md-3 text-center ">
            <div class="col-md-6 p-lg-5 mx-auto my-5  ">
                <h1 class="display-4 font-weight-normal">Million Pixel Art</h1>
                <p class="lead font-weight-normal">Créer votre Art et faite en votre pub, elle sera ensuite sur
                    de nombreux site via nos Bannières</p>
                {% if app.user is null %}
                    <a class="btn btn-outline-dark" href="{{ path('login') }}">Essayer </a>
                {% endif %}
                {% if app.user != null %}
                    <a class="btn btn-outline-dark" href="{{ path('pixel_art-new') }}">Creer vos Pixel Art </a>
                {% endif %}
            </div>
            <h2>Bannière du site {{ banners.site }}</h2>
            <map name="mappedImage">
                {% for pixel in banners.pixelPubs %}
                    {% if pixel.coords != []%}
                        <area shape="rect"
                            coords="{{ pixel.coords[0] }},{{ pixel.coords[1] }},{{ pixel.coords[0] + pixel.height }},{{ pixel.coords[1] + pixel.width }}"
                            href="{{ pixel.link }}" alt="{{ pixel.link }}"
                            title="{{ pixel.title }}">
                    {% endif %}
                {% endfor %}
                <img class="banner-img" usemap="#mappedImage"
                     src="{{ path('banner-img', {'banner' : banners.id }) }}" alt="">
            </map>
        </div>
    {% endblock %}
{% block javascripts %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
            crossorigin="anonymous"></script>
{% endblock %}
</body>
</html>
